cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/egress-rules?pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"pagination": {
"next_page": "<string>",
"previous_page": "<string>"
},
"rules": [
{
"cluster_id": "<string>",
"crl_managed": true,
"description": "<string>",
"destination": "<string>",
"id": "<string>",
"name": "<string>",
"state": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"paths": [
"<string>"
],
"ports": [
123
]
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}List all egress rules associated with a cluster
Sort order: Name
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
egress-rules
cURL
curl --request GET \
--url 'https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/egress-rules?pagination.page=SOME_STRING_VALUE&pagination.limit=SOME_INTEGER_VALUE&pagination.as_of_time=SOME_STRING_VALUE&pagination.sort_order=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"pagination": {
"next_page": "<string>",
"previous_page": "<string>"
},
"rules": [
{
"cluster_id": "<string>",
"crl_managed": true,
"description": "<string>",
"destination": "<string>",
"id": "<string>",
"name": "<string>",
"state": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"paths": [
"<string>"
],
"ports": [
123
]
}
]
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
cluster_id identifies the CockroachDB cluster owning the set of returned egress rules.
Query Parameters
- ASC: Sort in ascending order. This is the default unless otherwise specified.
- DESC: Sort in descending order.
Available options:
ASC, DESC 
